Bug 966018 - nfs: performance of untar of llinux kernel tarball is pathetic
nfs: performance of untar of llinux kernel tarball is pathetic
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: replicate (Show other bugs)
mainline
x86_64 Linux
high Severity urgent
: ---
: ---
Assigned To: Pranith Kumar K
:
Depends On: 962510
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 05:51 EDT by Pranith Kumar K
Modified: 2013-07-24 13:18 EDT (History)
8 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 962510
Environment:
Last Closed: 2013-07-24 13:18:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Anand Avati 2013-05-22 08:15:28 EDT
REVIEW: http://review.gluster.org/5066 (cluster/afr: Perform delayed changelog wakeups for anon fd) posted (#1) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)
Comment 2 Anand Avati 2013-05-22 08:19:44 EDT
REVIEW: http://review.gluster.org/5067 (cluster/afr: Perform delayed changelog wakeups for anon fd) posted (#1) for review on release-3.4 by Pranith Kumar Karampuri (pkarampu@redhat.com)
Comment 3 Anand Avati 2013-05-23 03:01:25 EDT
REVIEW: http://review.gluster.org/5066 (cluster/afr: Perform delayed changelog wakeups for anon fd) posted (#2) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)
Comment 4 Anand Avati 2013-05-23 03:13:35 EDT
REVIEW: http://review.gluster.org/5067 (cluster/afr: Perform delayed changelog wakeups for anon fd) posted (#2) for review on release-3.4 by Pranith Kumar Karampuri (pkarampu@redhat.com)
Comment 5 Anand Avati 2013-06-05 05:47:50 EDT
REVIEW: http://review.gluster.org/5066 (cluster/afr: Perform delayed changelog wakeups for anon fd) posted (#3) for review on master by Vijay Bellur (vbellur@redhat.com)
Comment 6 Anand Avati 2013-06-10 16:04:56 EDT
COMMIT: http://review.gluster.org/5067 committed in release-3.4 by Anand Avati (avati@redhat.com) 
------
commit 2fda7a9de2edd624a03558d9a9a580e5639fef1f
Author: Pranith Kumar K <pkarampu@redhat.com>
Date:   Wed May 22 15:18:19 2013 +0530

    cluster/afr: Perform delayed changelog wakeups for anon fd
    
    Problem:
    Nfs xlator never does open on a file for performing writes,
    afr does not perform changelog wakeup for this fd so operations
    which do metadata operations as soon as the data operations are
    completed perceive a delay od 'post-op-delay-secs'.
    
    Fix:
    Perform changelog wakeup on anon-fd if the fd with same pid is
    not present in inode-list.
    
    Note:
    This approach is a short-term fix. A proper fix needs a new domain
    for taking metadata locks so that data/metadata locks don't compete
    with each other.
    
    BUG: 966018
    Change-Id: Ia9188a253e7943801b665e1b9205e2f551952d87
    Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>
    Reviewed-on: http://review.gluster.org/5067
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 7 Anand Avati 2013-06-20 04:45:12 EDT
COMMIT: http://review.gluster.org/5066 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit cc9ca7d2b2f5c91d80265c28ca724cb233c2bd77
Author: Pranith Kumar K <pkarampu@redhat.com>
Date:   Wed May 22 15:18:19 2013 +0530

    cluster/afr: Perform delayed changelog wakeups for anon fd
    
    Problem:
    Nfs xlator never does open on a file for performing writes,
    afr does not perform changelog wakeup for this fd so operations
    which do metadata operations as soon as the data operations are
    completed perceive a delay of 'post-op-delay-secs'.
    
    Fix:
    Perform changelog wakeup on anon-fd if the fd with same pid is
    not present in inode-list.
    
    Note:
    This approach is a short-term fix. A proper fix needs a new domain
    for taking metadata locks so that data/metadata locks don't compete
    with each other.
    
    Change-Id: I253afb289eadf30c7951e56fb2c4840d7132f5e4
    BUG: 966018
    Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>
    Reviewed-on: http://review.gluster.org/5066
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.